This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1022128 - kawa: remove versioned jars from %{_javadir}
kawa: remove versioned jars from %{_javadir}
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kawa (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mosaab Alzoubi
Fedora Extras Quality Assurance
: Reopened
Depends On: 992655 1106994
Blocks: 1022024
  Show dependency treegraph
 
Reported: 2013-10-22 11:47 EDT by Stanislav Ochotnicky
Modified: 2016-07-19 06:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 06:31:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2013-10-22 11:47:15 EDT
Package kawa seems to contain versioned jar files in %{_javadir}
(/usr/share/java). Such versioned files cause problems for automatic
requires generation and violate packaging guidelines[1].

List of subpackages and contained versioned jars
kawa:
/usr/share/java/kawa-1.11.jar


There are cases where this can be a false positive. Most likely if:
   * your package is compatibility version and contains only versioned
     jars
   * your package has version in the name of jars that are part of
     package name

Thank you,

[1] https://fedoraproject.org/wiki/Packaging:Java#Filenames
Comment 1 Christopher Meng 2014-06-24 11:37:32 EDT
-rw-r--r-- 1 awk awk 2866450 06-24 23:28 kawa-1.14.jar
lrwxrwxrwx 1 awk awk      13 06-24 23:28 kawa.jar -> kawa-1.14.jar
Comment 2 Mikolaj Izdebski 2014-06-24 11:43:48 EDT
This *is* a bug, see: http://fedoraproject.org/wiki/Packaging:Java#Filenames

"Versioned JAR files (*-%{version}.jar) MUST NOT be installed unless the package is a compatibility package"
Comment 3 Christopher Meng 2014-06-24 12:14:29 EDT
(In reply to Christopher Meng from comment #1)
> -rw-r--r-- 1 awk awk 2866450 06-24 23:28 kawa-1.14.jar
> lrwxrwxrwx 1 awk awk      13 06-24 23:28 kawa.jar -> kawa-1.14.jar

I will contact upstream and see if it makes sense.
Comment 4 Christopher Meng 2014-07-09 12:06:22 EDT
Upstream:

"I don't have strong feelings about what is right.  I have been
trying to following GNU conventions in the Makefile, but the
Java support is homegrown rather than automake-based.

.so files are installed as versioned files, with symlinks.
It seems reasonable to do something similar for .jar files;
they're conceptually very similar.  If the packaging guidelines
say that .so and .jar files should be treated differently in this
respect, I'd curious to know the reason for the seeming inconsistency.

Maintaining binary compatibility between Kawa has not so far
been a priority, which is why leaving the version number in the
filename seems reasonable.  I don't know if that qualifies for the
"compatibility" exception.

But if it is a problem I can modify the "install-jar" rule in
the top-level Makefile.am.  Possibly make it conditional."
Comment 5 Stanislav Ochotnicky 2014-07-09 12:17:31 EDT
This is not an upstream issue but a packaging one. There's no reason why upstream should change to unversioned just because it doesn't make sense in Fedora.
Comment 6 Christopher Meng 2014-07-09 12:21:24 EDT
(In reply to Stanislav Ochotnicky from comment #5)
> This is not an upstream issue but a packaging one. There's no reason why
> upstream should change to unversioned just because it doesn't make sense in
> Fedora.

Patch welcome, I don't have time now.
Comment 7 Fedora Admin XMLRPC Client 2015-02-17 02:00:02 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 8 Fedora Admin XMLRPC Client 2015-02-21 01:30:18 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 9 Mosaab Alzoubi 2015-02-21 14:32:42 EST
I tried to fix it, but app can't launch .

So I revert changes :

http://pkgs.fedoraproject.org/cgit/kawa.git/commit/?id=7b2336adb21f9a8f5630fc2b9bd2dd09cfe4f8a6
Comment 10 Jaroslav Reznik 2015-03-03 11:56:29 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 11 Fedora End Of Life 2016-07-19 06:31:04 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.